org.apache.velocity.tools.view

## Class UiDependencyTool.Group

- java.lang.Object
- - org.apache.velocity.tools.view.UiDependencyTool.Group

Enclosing class:
  UiDependencyTool

    protected class UiDependencyTool.Group
    extends Object

NOTE: This class may change or disappear w/o warning; don't depend on it unless you're willing to update your code whenever this changes.

### Constructor Summary

Constructors
Constructor and Description
`Group(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFile(String type, String value)`
`void` `addGroup(String group)`
`Map<String,List<String>>` `getDependencies(UiDependencyTool parent)`
`protected void` `resolve(UiDependencyTool parent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Group

    public Group(String name)

### Method Detail

#### addFile

    public void addFile(String type,
                        String value)

#### addGroup

    public void addGroup(String group)

#### getDependencies

    public Map<String,List<String>> getDependencies(UiDependencyTool parent)

#### resolve

    protected void resolve(UiDependencyTool parent)